

/*
 *
			Abgeleitet aus Times_10.h

 */

#include <inttypes.h>
#include <avr/pgmspace.h>
#include "fonts.h"


#ifdef FONT_INCLUDE_Times10


const char fontTimes10data[] PROGMEM = {    
    // char widths
    0x00, 0x01, 0x03, 0x05, 0x05, 0x07, 0x07, 0x01, 0x03, 0x03, 
    0x04, 0x05, 0x02, 0x02, 0x01, 0x03, 0x04, 0x03, 0x04, 0x04, 
    0x04, 0x04, 0x04, 0x04, 0x04, 0x04, 0x01, 0x02, 0x05, 0x05, 
    0x05, 0x03, 0x08, 0x07, 0x06, 0x05, 0x06, 0x06, 0x06, 0x06, 
    0x07, 0x03, 0x04, 0x07, 0x05, 0x09, 0x07, 0x05, 0x05, 0x05, 
    0x07, 0x04, 0x05, 0x07, 0x07, 0x0A, 0x07, 0x07, 0x06, 0x02, 
    0x03, 0x02, 0x04, 0x05, 0x02, 0x04, 0x04, 0x03, 0x05, 0x03, 
    0x02, 0x05, 0x05, 0x03, 0x02, 0x04, 0x03, 0x08, 0x05, 0x04, 
    0x04, 0x05, 0x03, 0x03, 0x03, 0x05, 0x05, 0x07, 0x05, 0x05, 
    0x04, 0x03, 0x01, 0x03, 0x04, 0x06, 
    
    // font data
    0x5F, 0x00, // 33
    0x07, 0x00, 0x07, 0x00, 0x00, 0x00, // 34
    0x7C, 0x17, 0x14, 0x7C, 0x17, 0x00, 0x00, 0x00, 0x00, 0x00, // 35
    0x26, 0x45, 0xFF, 0x49, 0x32, 0x00, 0x00, 0x00, 0x00, 0x00, // 36
    0x06, 0x49, 0x36, 0x0C, 0x33, 0x48, 0x30, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 37
    0x30, 0x48, 0x46, 0x5D, 0x33, 0x4C, 0x24, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 38
    0x07, 0x00, // 39
    0x7C, 0x82, 0x01, 0x00, 0x00, 0x80, // 40
    0x01, 0x82, 0x7C, 0x80, 0x00, 0x00, // 41
    0x0E, 0x04, 0x0F, 0x04, 0x00, 0x00, 0x00, 0x00, // 42
    0x08, 0x08, 0x3E, 0x08, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, // 43
    0x40, 0xC0, 0x80, 0x00, // 44
    0x10, 0x10, 0x00, 0x00, // 45
    0x40, 0x00, // 46
    0x60, 0x1C, 0x03, 0x00, 0x00, 0x00, // 47
    0x3E, 0x41, 0x41, 0x3E, 0x00, 0x00, 0x00, 0x00, // 48
    0x41, 0x7F, 0x40, 0x00, 0x00, 0x00, // 49
    0x42, 0x61, 0x51, 0x6E, 0x00, 0x00, 0x00, 0x00, // 50
    0x41, 0x49, 0x4D, 0x32, 0x00, 0x00, 0x00, 0x00, // 51
    0x18, 0x16, 0x7F, 0x10, 0x00, 0x00, 0x00, 0x00, // 52
    0x40, 0x46, 0x45, 0x39, 0x00, 0x00, 0x00, 0x00, // 53
    0x3C, 0x4A, 0x45, 0x39, 0x00, 0x00, 0x00, 0x00, // 54
    0x02, 0x61, 0x1D, 0x03, 0x00, 0x00, 0x00, 0x00, // 55
    0x36, 0x49, 0x49, 0x36, 0x00, 0x00, 0x00, 0x00, // 56
    0x4E, 0x51, 0x31, 0x1E, 0x00, 0x00, 0x00, 0x00, // 57
    0x44, 0x00, // 58
    0x40, 0xC4, 0x80, 0x00, // 59
    0x08, 0x14, 0x14, 0x14, 0x22, 0x00, 0x00, 0x00, 0x00, 0x00, // 60
    0x14, 0x14, 0x14, 0x14, 0x14, 0x00, 0x00, 0x00, 0x00, 0x00, // 61
    0x22, 0x14, 0x14, 0x14, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, // 62
    0x02, 0x59, 0x06, 0x00, 0x00, 0x00, // 63
    0x38, 0x44, 0xFA, 0x45, 0x35, 0x4D, 0xA2, 0x9C, 0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x00, 0x00, // 64
    0x40, 0x70, 0x5E, 0x11, 0x1E, 0x70, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 65
    0x41, 0x7F, 0x49, 0x49, 0x49, 0x36, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 66
    0x3E, 0x41, 0x41, 0x42, 0x23, 0x00, 0x00, 0x00, 0x00, 0x00, // 67
    0x41, 0x7F, 0x41, 0x41, 0x22, 0x1C, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 68
    0x41, 0x7F, 0x49, 0x5D, 0x41, 0x63, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 69
    0x41, 0x7F, 0x49, 0x1D, 0x01, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 70
    0x3E, 0x41, 0x41, 0x4A, 0x3B, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 71
    0x41, 0x7F, 0x49, 0x08, 0x49, 0x7F, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 72
    0x41, 0x7F, 0x41, 0x00, 0x00, 0x00, // 73
    0x40, 0x41, 0x3F, 0x01, 0x00, 0x00, 0x00, 0x00, // 74
    0x41, 0x7F, 0x49, 0x0C, 0x53, 0x61, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 75
    0x41, 0x7F, 0x41, 0x40, 0x60, 0x00, 0x00, 0x00, 0x00, 0x00, // 76
    0x41, 0x7F, 0x47, 0x38, 0x40, 0x38, 0x47, 0x7F, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 77
    0x41, 0x7F, 0x44, 0x08, 0x11, 0x7F, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 78
    0x3E, 0x41, 0x41, 0x41, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x00, // 79
    0x41, 0x7F, 0x51, 0x11, 0x0E, 0x00, 0x00, 0x00, 0x00, 0x00, // 80
    0x3E, 0x41, 0xC1, 0xC1, 0x3E, 0x00, 0x00, 0x00, 0x00, 0x80, // 81
    0x41, 0x7F, 0x49, 0x19, 0x29, 0x46, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 82
    0x66, 0x49, 0x49, 0x33, 0x00, 0x00, 0x00, 0x00, // 83
    0x03, 0x41, 0x7F, 0x41, 0x03, 0x00, 0x00, 0x00, 0x00, 0x00, // 84
    0x01, 0x3F, 0x41, 0x40, 0x41, 0x3F, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 85
    0x01, 0x07, 0x39, 0x40, 0x38, 0x07, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 86
    0x01, 0x07, 0x38, 0x61, 0x1F, 0x19, 0x60, 0x39, 0x07, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 87
    0x41, 0x41, 0x67, 0x18, 0x18, 0x67, 0x41, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 88
    0x01, 0x03, 0x4D, 0x70, 0x4C, 0x03, 0x01, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 89
    0x40, 0x63, 0x59, 0x45, 0x43, 0x61, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 90
    0xFF, 0x01, 0x80, 0x80, // 91
    0x01, 0x0E, 0x30, 0x00, 0x00, 0x00, // 92
    0x01, 0xFF, 0x80, 0x80, // 93
    0x06, 0x01, 0x01, 0x06, 0x00, 0x00, 0x00, 0x00, // 94
    0x00, 0x00, 0x00, 0x00, 0x00, 0x80, 0x80, 0x80, 0x80, 0x80, // 95
    0x01, 0x02, 0x00, 0x00, // 96
    0x28, 0x54, 0x78, 0x40, 0x00, 0x00, 0x00, 0x00, // 97
    0x3F, 0x44, 0x44, 0x38, 0x00, 0x00, 0x00, 0x00, // 98
    0x38, 0x44, 0x44, 0x00, 0x00, 0x00, // 99
    0x38, 0x44, 0x45, 0x7F, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, // 100
    0x38, 0x54, 0x58, 0x00, 0x00, 0x00, // 101
    0x7E, 0x45, 0x00, 0x00, // 102
    0xE8, 0x54, 0x54, 0x4C, 0x84, 0x00, 0x80, 0x80, 0x80, 0x00, // 103
    0x7F, 0x48, 0x04, 0x78, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, // 104
    0x44, 0x7D, 0x40, 0x00, 0x00, 0x00, // 105
    0x04, 0xFD, 0x80, 0x00, // 106
    0x7F, 0x50, 0x18, 0x64, 0x00, 0x00, 0x00, 0x00, // 107
    0x41, 0x7F, 0x40, 0x00, 0x00, 0x00, // 108
    0x7C, 0x48, 0x44, 0x7C, 0x48, 0x44, 0x78, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 109
    0x7C, 0x48, 0x04, 0x78, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, // 110
    0x38, 0x44, 0x44, 0x38, 0x00, 0x00, 0x00, 0x00, // 111
    0xFC, 0x44, 0x44, 0x38, 0x80, 0x80, 0x00, 0x00, // 112
    0x38, 0x44, 0x44, 0xFC, 0x00, 0x00, 0x00, 0x80, 0x80, 0x80, // 113
    0x7C, 0x44, 0x04, 0x00, 0x00, 0x00, // 114
    0x58, 0x54, 0x24, 0x00, 0x00, 0x00, // 115
    0x7E, 0x44, 0x40, 0x00, 0x00, 0x00, // 116
    0x3C, 0x40, 0x44, 0x7C, 0x40, 0x00, 0x00, 0x00, 0x00, 0x00, // 117
    0x1C, 0x64, 0x60, 0x1C, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, // 118
    0x1C, 0x60, 0x14, 0x1C, 0x64, 0x1C, 0x04, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, // 119
    0x44, 0x6C, 0x10, 0x6C, 0x44, 0x00, 0x00, 0x00, 0x00, 0x00, // 120
    0x0C, 0xF0, 0x30, 0x0C, 0x04, 0x80, 0x00, 0x00, 0x00, 0x00, // 121
    0x4C, 0x64, 0x5C, 0x64, 0x00, 0x00, 0x00, 0x00, // 122
    0x10, 0xEE, 0x01, 0x00, 0x00, 0x80, // 123
    0xFF, 0x80, // 124
    0x01, 0xEE, 0x10, 0x80, 0x00, 0x00, // 125
    0x30, 0x10, 0x20, 0x30, 0x00, 0x00, 0x00, 0x00, // 126
    0x7F, 0x41, 0x41, 0x41, 0x41, 0x7F, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 // 127
    
};


const struct font_info fontTimes10 PROGMEM = {
    sizeof(fontTimes10data),		// size of data table
    0x0A, 							// (maximum) width of character
    0x09, 							// height of character
    0x20, 							// the number of the first included character (often 0x20)
    0x60, 							// nr of chars includes in the font, beginning with firstchar
	fontTimes10data,				// pointer to width table
	(char*) fontTimes10data + 0x60  // pointer to data table    use value of field: char count
	};



#endif
